org.firebirdsql.jaybird.xca

## Interface XcaConnectionManager

All Superinterfaces:
  java.io.Serializable

All Known Implementing Classes:
  FBStandAloneConnectionManager

    public interface XcaConnectionManager
    extends java.io.Serializable

The `XcaConnectionManager` can be used to modify the configuration of a connection, provide pooling or other behaviour when allocating a new connection.

### Method Summary

All Methods Instance Methods Abstract Methods
`FirebirdConnection` `allocateConnection(FBManagedConnectionFactory managedConnectionFactory, FBConnectionRequestInfo connectionRequestInfo)` Allocates a new `FirebirdConnection` backed by a `FBManagedConnection` from the specified factory.

### Method Detail

#### allocateConnection

    FirebirdConnection allocateConnection(FBManagedConnectionFactory managedConnectionFactory,
                                          FBConnectionRequestInfo connectionRequestInfo)
                                   throws java.sql.SQLException

Allocates a new `FirebirdConnection` backed by a `FBManagedConnection` from the specified factory.

The returned connection should behave as a new connection, but may be backed by an already established (eg pooled) managed connection.

Parameters:
  `managedConnectionFactory` - Managed connection factory
  `connectionRequestInfo` - Specific connection request info
Returns:
  A new `FirebirdConnection` instance
Throws:
  `java.sql.SQLException` - for generic exceptions